# CustomBinarizationFilter class

Automatic binarization filter. This filter is a good starting point for most use cases.

Inheritance
  - Object
  - ParametricFilter
  - CustomBinarizationFilter

## Constructors

CustomBinarizationFilter.new({OutputMode outputMode = OutputMode.BINARY, double denoise = 0.5, int radius = 32, BinarizationFilterPreset preset = BinarizationFilterPreset.PRESET_4})
CustomBinarizationFilter.fromJson(Map<String, dynamic> json)
  factory

## Properties

denoise ↔ double
  Value controlling the amount of noise removal. Value between 0 and 1. Too little noise removal may result in a very noisy image, worsening readability. Too much noise removal may result in the degradation of text, again, worsening readability.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
outputMode ↔ OutputMode
  Output mode of the filter. BINARY will return a black and white image, GRAYSCALE will return an antialiased grayscale image.
  getter/setter pair
preset ↔ BinarizationFilterPreset
  Preset of binarization filter parameters that are found to perform well on different types of documents.
  getter/setter pair
radius ↔ int
  Filter radius. The bigger the radius, the slower the filter and generally the less noise in the result. The radius is used for both shadows removal and the calculation of local statistics in the main body of the filter. Higher radius usually allows to cope better with regions of light text on dark background. All the values larger than 127 are clamped to 127.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
  override
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited